PHP4+PHP5+Apache 1

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

Threaded View
Does some know how to put PHP4 and PHP5 to run under Apache 1 at a same
time? i.e., when a site is to be write in PHP4, the Apache must direct
the request to PHP4, otherwise, to PHP5.

I have a server with a lot of code the just run under PHP4, so the
PHP4+apache1 must remain for legacy code.  However, the apache module
for PHP5 run only under apache 2.  I dig into the documentation but I
just found out or PHP4 solution or PHP5 solution, but nothing for the
both at the same time.

Please, help!

Jean Madson

Re: PHP4+PHP5+Apache 1

Hi Jean,
take a look at this doc:

You can also change the source: grep for "application/x-httpd-php" and  
change it to "application/x-httpd-php5". Further, i stead of a new extension  
(.php5) you could change the apache conf using ForceType  
application/x-httpd-php5 (available in Apache 1.1 and later).


Site Timeline